Skip to main content
PATCH
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickpipesCdcScaling
Update CDC ClickPipes scaling
curl --request PATCH \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "replicaCpuMillicores": 2000,
  "replicaMemoryGb": 8
}
'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "replicaCpuMillicores": 2000,
    "replicaMemoryGb": 8
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the ClickPipe.

Body

application/json
replicaCpuMillicores
integer

CPU in millicores for DB ClickPipes.

Required range: 1000 <= x <= 24000Must be a multiple of 1000
Example:

2000

replicaMemoryGb
number

Memory in GiB for DB ClickPipes. Must be 4× the CPU core count.

Required range: 4 <= x <= 96Must be a multiple of 4
Example:

8

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object